$block: home-primary;

.#{$block} {

	&__red {
		z-index: 10;
		color: $white;
		background: $red;
		position: relative;
		padding-top: 110px;
		padding-bottom: 150px;

		&:after,
		&:before {
			top: 0;
			bottom: 0;
			z-index: 1;
			content: '';
			width: 1000px;
			background: $red;
			position: absolute;
		}

		&:after {
			left: 100%;
		}

		&:before {
			right: 100%;
		}

		&--container {

		}
	}

	&__white {
		color: $black;
		background: $white;
		position: relative;
		padding-top: 120px;
		padding-bottom: 40px;
	}

	&__container {
		z-index: 20;
		position: relative;
	}

	&__media {
		right: 0;
		bottom: -100px;
		width: 210px;
		z-index: 10;
		position: absolute;

		&:after,
		&:before {
			top: 0;
			z-index: 10;
			content: '';
			width: 62px;
			height: 62px;
			position: absolute;
			background: $red;
		}

		&:after {
			left: 0;
		}

		&:before {
			right: 0;
		}

		&--wrap {
			position: relative;

			&:after,
			&:before {
				bottom: 0;
				z-index: 10;
				content: '';
				width: 62px;
				height: 62px;
				position: absolute;
				background: $white;
			}

			&:after {
				left: 0;
			}

			&:before {
				right: 0;
			}
		}

		&--image {
			max-width: 100%;
			overflow: hidden;
			display: block;
			position: relative;

			&:before {
				top: 0;
				left: 0;
				right: 0;
				bottom: 0;
				content: '';
				z-index: 10;
				position: absolute;
				background: url("../img/icon__play.svg") 50% 50% no-repeat;
				transition: .5s;
				transform: scale(1);
			}

			img {
				transition: .5s;
				transform: scale(1);
			}

			&:hover {

			}
		}

		&--pattern {
			left: -27px;
			z-index: 40;
			top: -81px;
			width: 400px;
			position: absolute;
		}

		&:hover {

			.#{$block} {

				&__media {

					&--image {

						img {
							transition: .5s;
							transform: scale(1.3);
						}

						&:before {
							transition: .5s;
							transform: scale(1.4);
						}
					}
				}
			}
		}
	}

	&__header {
		padding-top: 30px;
		padding-left: 70px;
		position: relative;
		font-family: $font-family-head;

		&--label {
			top: 0;
			left: 0;
			width: 70px;
			font-weight: 700;
			line-height: 120%;
			position: absolute;
			text-align: right;
			font-size: font-size-rel(16px);
		}

		&--title {
			font-weight: 700;
			font-size: font-size-rel(22px);
			line-height: font-size-rel(28px);
		}
	}

	&__case {
		position: relative;

		&--label {
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 10px;
			font-family: $font-family-head;
			font-size: font-size-rel(16px);
		}

		&--text {
			padding-left: 70px;
			font-size: font-size-rel(14px);
			line-height: 130%;
		}
	}

	&__nav {
		display: none;
	}

	&__link {
		bottom: 35px;
		left: 0;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(20px);
		color: $black;
		display: none;
		position: absolute;
		text-decoration: none;

		&:before {
			left: 0;
			height: 30px;
			top: calc(100% + 5px);
			content: '';
			width: 1px;
			background: $red;
			position: absolute;
			display: inline-block;
		}

		&:hover {
			color: $black;
			text-decoration: none;
		}
	}

	@media (min-width: $screen-sm-min) {

		&__row {
			display: flex;
			min-height: 600px;
		}

		&__red {
			padding: 100px 0 100px 80px;
			width: 55%;
			flex-shrink: 0;
			order: 2;
			display: flex;
			flex-direction: column;

			&:before {
				display: none;
			}
		}

		&__white {
			padding: 100px 0;
			width: 45%;
			order: 1;
			display: flex;
			flex-direction: column;
		}

		&__container {
			margin: auto 0;
		}

		&__media {
			left: -105px;
			right: auto;
			top: calc(50% - 80px);
			bottom: auto;

			&:after {
				background: #fff;
			}

			&--wrap {

				&:before {
					background: $red;
				}
			}
		}

		&__case {

			&--label {
				padding-left: 130px;
			}

			&--text {
				width: 130px;
				padding-left: 0;
				text-align: right;
				font-size: font-size-rel(16px);
			}
		}

		&__nav {
			z-index: 200;
			right: 0;
			display: flex;
			bottom: 36px;
			margin: 0;
			padding: 0;
			list-style: none;
			position: absolute;
			font-size: font-size-rel(14px);
			line-height: font-size-rel(20px);

			li {
				margin-left: 25px;

				a {
					height: 40px;
					color: $white;
					position: relative;
					padding-top: 20px;
					display: inline-block;
					text-decoration: none;
					transition: .3s;

					&:hover {
						color: $white;
						text-decoration: none;
						transition: .3s;
						padding-top: 0;
					}
				}
			}
		}

		&__link {
			display: inline-block;
		}
	}

	@media (min-width: $screen-md-min) {

		&__row {
			min-height: 100vh;
		}

		&__white {
			z-index: 1;
			width: 38%;
		}

		&__red {
			width: 62%;
			z-index: 20;
			padding-left: 120px;
		}

		&__header {

			&--label {
				line-height: 120%;
				font-size: font-size-rel(18px);
			}

			&--title {
				line-height: 120%;
				font-size: font-size-rel(40px);
			}
		}

		&__case {

			&--label {
				width: 250px;
				font-size: font-size-rel(18px);
				padding-left: 145px;
			}

			&--text {
				width: 145px;
			}
		}

		&__media {
			width: 300px;
			left: -150px;
			top: calc(50% - 120px);

			&:after,
			&:before {
				width: 90px;
				height: 90px;
			}

			&--wrap {

				&:after,
				&:before {
					width: 90px;
					height: 90px;
				}
			}
		}

		&__nav {
			font-size: font-size-rel(16px);

			li {
				margin-left: 40px;
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&__media {

			&--pattern {
				top: auto;
				bottom: 54px;
				width: 500px;
			}
		}

		&__red {
			padding-left: 200px;
		}

		&__white {

		}

		&__case {
			padding-left: 35px;
			padding-top: 80px;
		}
	}

	@media (min-width: $screen-xl-min) {

		&__media {
			width: 400px;
			left: -200px;
			top: calc(50% - 170px);

			&:after,
			&:before {
				width: 120px;
				height: 120px;
			}

			&--wrap {

				&:after,
				&:before {
					width: 120px;
					height: 120px;
				}
			}

			&--pattern {
				width: 696px;
			}
		}

		&__header {
			padding-top: 50px;

			&--title {
				font-size: font-size-rel(50px);
			}
		}


		&__case {
			padding-top: 240px;
		}

		&__red {
			padding-left: 215px;
		}
	}
}



@media (min-width: $screen-sm-min) {

}

@media (min-width: $screen-md-min) {

}

@media (min-width: $screen-lg-min) {

}

@media (min-width: $screen-xl-min) {

}
